Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.rwt.service
Class SessionStoreEvent

    java.lang.Object
      org.eclipse.rwt.service.SessionStoreEvent

public class SessionStoreEvent
extends Object

`SessionStoreListener`s are used to get notifications before the session store is destroyed.

Since:
  1.0

Constructor Summary
`SessionStoreEvent(ISessionStore sessionStore)` Creates a new instance of `SessionStoreEvent`.

Method Summary
`ISessionStore` `getSessionStore()` Returns the `ISessionStore` that is about to be destroyed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionStoreEvent

    public SessionStoreEvent(ISessionStore sessionStore)

  Creates a new instance of `SessionStoreEvent`.

Parameters:
  `sessionStore` - the session store which is about to be destroyed

Method Detail

### getSessionStore

    public ISessionStore getSessionStore()

  Returns the `ISessionStore` that is about to be destroyed.

  Returns:
    the session store that is about to be destroyed.

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.